Page MenuHomePhabricator

Notice on edit via API: JobQueueGroup::__destruct: 1 buffered job(s) never inserted
Closed, ResolvedPublic

Description

Whenever I try to make an edit via API (for example from the mobile interface) in my local instance, an HTML notice gets inserted into the JSON response, breaking the response parsing:

{"edit":{"result":"Success","pageid":989,"title":"Selenium no languages test page","contentmodel":"wikitext"
,"oldrevid":3214,"newrevid":3215,"newtimestamp":"2015-05-20T22:22:17Z"}}<br />
<b>Notice</b>: JobQueueGroup::__destruct: 1 buffered job(s) never inserted. in <b>/Users/kaldari/Sites
/core/includes/jobqueue/JobQueueGroup.php</b> on line <b>419</b><br />

Event Timeline

kaldari created this task.May 20 2015, 10:25 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 10:25 PM

@Legoktm Nevermind, bad git bisect...

kaldari set Security to None.May 20 2015, 10:48 PM
kaldari removed a subscriber: Legoktm.

Looks like load.php and api.php are half-way copy-pasting MW shutdown methods...

A short term fixing is to just flush jobs there too.

Change 212473 had a related patch set uploaded (by Aaron Schulz):
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212473

Change 212473 merged by jenkins-bot:
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212473

Change 212477 had a related patch set uploaded (by Aaron Schulz):
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212477

Change 212477 merged by Ori.livneh:
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212477

Change 212486 had a related patch set uploaded (by Aaron Schulz):
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212486

Change 212486 merged by jenkins-bot:
Flush lazy jobs in load.php and api.php too

https://gerrit.wikimedia.org/r/212486

Anomie added a subscriber: Anomie.May 23 2015, 9:31 AM

So is this fixed now, or is there something that needs to be done yet?

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.May 23 2015, 9:31 AM
aaron closed this task as Resolved.Jun 3 2015, 9:28 PM
aaron claimed this task.